import L from 'leaflet';

var SearchMapCircle = /*#__PURE__*/function () {
  function SearchMapCircle(_ref) {
    var latitude = _ref.latitude,
        longitude = _ref.longitude,
        radius = _ref.radius,
        onPolygonWithBounds = _ref.onPolygonWithBounds;
    this._circle = {};
    this.latitude = latitude;
    this.longitude = longitude;
    this.radius = radius;
    this.onPolygonWithBounds = onPolygonWithBounds;
  }

  var _proto = SearchMapCircle.prototype;

  _proto.removeCircleFromMap = function removeCircleFromMap(map) {
    map.removeLayer(this._circle);
  };

  SearchMapCircle.zoomIn = function zoomIn(evt) {
    var map = evt.target._map;
    map.setView(evt.latlng, map.getZoom() + 2);
  };

  _proto.printCircleOnMap = function printCircleOnMap(_ref2) {
    var map = _ref2.map;
    this._circle = L.circle([this.latitude, this.longitude], {
      radius: this.radius
    });

    this._circle.addTo(map);
  };

  _proto.setCircleOnMap = function setCircleOnMap(_ref3) {
    var map = _ref3.map;
    this.removeCircleFromMap(map);
    this.printCircleOnMap({
      map: map
    });

    var bounds = this._circle.getBounds();

    this.onPolygonWithBounds({
      bounds: bounds,
      map: map
    });
  };

  return SearchMapCircle;
}();

export { SearchMapCircle as default };